## Modulemd.ComponentModule (Private) Modulemd.ComponentModule (Private) — ModulemdComponentModule methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdComponentModule * | modulemd_component_module_parse_yaml ()
gboolean | modulemd_component_module_emit_yaml ()

## Description

## Functions

### modulemd_component_module_parse_yaml ()

    ModulemdComponentModule *
    modulemd_component_module_parse_yaml (yaml_parser_t *parser,
                                          const gchar *name,
                                          gboolean strict,
                                          GError **error);

#### Parameters

parser | A libyaml parser object positioned at the beginning of a ComponentModule's mapping entry in the YAML document. | [inout]
name | A string with the name of the component. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for parsing error. | [out]

#### Returns

A newly-allocated ModulemdComponentModule object read from the YAML. NULL if a parse error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_component_module_emit_yaml ()

    gboolean
    modulemd_component_module_emit_yaml (ModulemdComponentModule *self,
                                         yaml_emitter_t *emitter,
                                         GError **error);

#### Parameters

self | This ModulemdComponentModule object. |
emitter | A libyaml emitter object positioned where Module Component belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission error. | [out]

#### Returns

TRUE if the module component was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0